<?php
/**
 * The keyphrases menu
 *
 * Copyright (C) 2008  Sean Hickey
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * @author Sean Hickey <sean@headzoo.com>
 * @version $Id: Keyphrases.php 394 2008-07-03 05:49:00Z sean $
 */
?>
<div class="wrap">
	<h2>Keyphrases</h2>
		<?php echo Alinks_Popup::show(Alinks_Popup::KEY_KEYPHRASES); ?>
		<div style="width: 750px; margin: 0 auto 0 auto;">
			<div class="alinks_keyphrases_controls" style="margin-bottom: 5px;">
					<select name="factory" id="alinks_create_factory">
						<?php foreach($factory_options as $key => $value) : ?>
							<option value="<?php echo $key; ?>"><?php echo htmlspecialchars($value); ?></option>
						<?php endforeach; ?>
					</select>
					<a href="javascript:createKeyphrase()" title="Create Keyphrase" style="border:0;"><img src="<?php echo Alinks_Registry::get('alinks_url'); ?>/includes/images/Add.png" align="absmiddle" alt="Create Keyphrase" style="border:0;" /></a>
					<input type="text" id="filter" onkeyup="if (this.value == '') filterGrid()" onkeypress="handleKeyPress(event, this.form, filterGrid)" />
					<select id="filter_by">
						<option value="phrase">Phrase</option>
						<option value="description">Description</option>
						<option value="created">Created</option>
						<option value="factory">Factory</option>
					</select>
					 <input type="button" value="Filter" onclick="filterGrid()" />
					<a href="javascript:deleteKeyphrases()" title="Delete Checked Keyphrases" style="border:0;"><img src="<?php echo Alinks_Registry::get('alinks_url'); ?>/includes/images/Remove.png" align="absmiddle" alt="Delete Checked Keyphrases" style="border:0;" /></a>
					<a href="javascript:exportKeyphrases()" title="Export Checked Keyphrases" style="border:0;"><img src="<?php echo Alinks_Registry::get('alinks_url'); ?>/includes/images/Export.png" align="absmiddle" alt="Export Checked Keyphrases" style="border:0;" /></a>
			</div>
			<div style="clear: both;"></div>
			<div id="mygrid" style="border: 1px solid #000;"></div>
		</div>
</div>