<?php
/**
 * Displays a row in the factories table
 *
 * Copyright (C) 2008  Sean Hickey
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * @author Sean Hickey <sean@headzoo.com>
 * @version $Id: Factory.php 394 2008-07-03 05:49:00Z sean $
 */
?>
<tr class='<?php echo ($active) ? 'active' : ''; ?>'>
	<td><strong><?php echo self::_getName($factory->getName(), $factory->getUrl()); ?></strong></td>
	<td style="text-align: center"><?php echo $factory->getVersion(); ?></td>
	<td><?php echo self::_getDescription($factory->getDescription(), $factory->getAuthors()); ?></td>
	<td style="text-align: center" colspan="2"><a onclick="return confirm('Are you sure you want to delete this factory? You can no longer use any of the keyphrases created with this factory if it is deleted.');" href="<?php echo wp_nonce_url('admin.php?page=alinks_factories&' . Alinks_Form::FORM_ALINKS . '=1&delete=' . $factory->getSafeName(), Alinks_Form::NONCE_ACTION); ?>">Uninstall</a></td>
</tr>